Nuclom logoNuclom
Videos

Delete video

DELETE /api/videos/[id] By default, performs a soft delete with a 30-day retention period. Query parameters: - permanent=true: Permanently delete the video and clean up R2 storage - retentionDays=N: Override the default retention period (only for soft delete)

DELETE
/videos/{id}

DELETE /api/videos/[id]

By default, performs a soft delete with a 30-day retention period. Query parameters:

  • permanent=true: Permanently delete the video and clean up R2 storage
  • retentionDays=N: Override the default retention period (only for soft delete)

Authorization

bearerAuth
headerAuthorizationBearer <token>

Authentication token from login or API key

Path Parameters

id*string

Id ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid

Response Body

Success

curl -X DELETE 'https://nuclom.com/api/videos/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Empty